Package com.collabnet.ce.soap60.webservices.rbac

# Class RoleMembershipSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.rbac.RoleMembershipSoapDO

public class RoleMembershipSoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
Role-User mapping data.

Since:
  25.1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleMembershipSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProjectId()`
  Returns 'projectId'.
  `String`
  `getRoleId()`
  Returns 'roleId'.
  `String`
  `getUsername()`
  Returns 'username'.
  `void`
  `setProjectId(String projectId)`
  Sets 'projectId'.
  `void`
  `setRoleId(String roleId)`
  Sets 'roleId'.
  `void`
  `setUsername(String username)`
  Sets 'username'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RoleMembershipSoapDO

    public RoleMembershipSoapDO()

- ## Method Details

  - ### getRoleId

    public String getRoleId()
    Returns 'roleId'. Role identifier
    Returns:
      Value of 'roleId'.

  - ### setRoleId

    public void setRoleId(String roleId)
    Sets 'roleId'. Role identifier
    Parameters:
      `roleId` - Value of 'roleId'.

  - ### getUsername

    public String getUsername()
    Returns 'username'. Username identifier
    Returns:
      Value of 'username'.

  - ### setUsername

    public void setUsername(String username)
    Sets 'username'. Username identifier
    Parameters:
      `username` - Value of 'username'.

  - ### getProjectId

    public String getProjectId()
    Returns 'projectId'. Project identifier
    Returns:
      Value of 'projectId'.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets 'projectId'. Project identifier
    Parameters:
      `projectId` - Value of 'projectId'.